Bug 461557 - entitiy declaration in XML files causes array error
entitiy declaration in XML files causes array error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-XML-TreeBuilder (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-09 00:27 EDT by Jeff Fearn
Modified: 2008-11-06 21:55 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.09-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 23:26:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2008-09-09 00:27:47 EDT
Description of problem:
If an entity is declared in an XML file the array reference is wrong causing an access error.

Version-Release number of selected component (if applicable):
perl-XML-TreeBuilder-3.09-10

How reproducible:
Always

Steps to Reproduce:
1. Create an xml file
2. declare an entity in the XML file
3. parse file
  
Actual results:
+ xmlClean -in RELEASE-NOTES.xml -out ../xml/RELEASE-NOTES.xml -book
RELEASE-NOTES -lang en-US
Modification of non-creatable array value attempted, subscript -1 at
/usr/lib/perl5/vendor_perl/5.10.0/XML/TreeBuilder.pm line 39.

Expected results:
No error

Additional info:
Comment 1 Jeff Fearn 2008-10-14 23:26:23 EDT
Add ErrorContext pass through
Fix crash on Entity declaration.
Comment 2 Fedora Update System 2008-10-14 23:49:06 EDT
perl-XML-TreeBuilder-3.09-11.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-XML-TreeBuilder-3.09-11.fc9
Comment 3 Fedora Update System 2008-10-16 18:44:08 EDT
publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9
Comment 4 Fedora Update System 2008-11-06 21:55:27 EST
publican-0.38-0.fc9, perl-XML-TreeBuilder-3.09-11.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.